MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024961Open CASCADE[OCCT] OCCT:DRAWpublic2014-05-26 19:342016-09-27 11:57
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024961: MeshVS: revision of DRAW commands
Description

  1. meshfromstl - should display MeshVS_Mesh object in a way consistent with vdisplay command

  2. meshdel - to be deleted, vremove to be used instead

  3. meshshowall - should set empty maps of hidden IDs instead of null handles

  4. meshhidesel - initialize the maps of hidden IDs to avoid exception

  5. meshmat - add optional transparency argument and enable transparency in the viewer if not yet done

  6. Add commands to display a sample deformed mesh, sample vectors and text labels

  7. An approach to testing visualization of 3D mesh elements should be elaborated (STL format does not seem to support mesh volumes)

  8. meshfromstl or meshselmode - analyze and fix the problem with selection mode 0 (selection of the whole mesh), it does not work currently; do not open the local context in mode 0.

  9. Add test cases covering the available MeshVS DRAW commands (display/erase the mesh, show/hide mesh elements and nodes, mesh display modes, mesh selection modes, various prs builders - colors, vectors, deformed mesh, text labels)

Additional information
and documentation updates
DRAW commands for testing MeshVS package were revised. Few new commands were added to cover advanced MeshVS features, such as visualization of vector fields and text labels, 3D mesh elements support and deformed mesh visualization.
Dedicated v3d mesh test grid was added to test MeshVS package.

The default mesh link color used by meshfromstl command was changed from white to yellow to avoid ambiguity with the selection color.

A logical mistakes was discovered and corrected in
MeshVS_Mesh::ComputeSelection() method: it used IsHiddenNode() method instead of IsSelectableNode().
TagsNo tags attached.
Test case numberv3d mesh(016)
Attached Files? file icon m.stl (1,035,105 bytes) 2014-08-07 13:28

- Relationships
related to 0024926closedbugmaster MeshVS - improve generation of primitive arrays 
related to 0027905closedapn Visualization - randomly directed arrows on test v3d mesh B7 

-  Notes
(0030236)
git (administrator)
2014-07-17 17:49

Branch CR24961_1 has been created by san.

SHA-1: 0d91e26dbd167dd370c77cd5f7eba9fa8f94f5f2
(0030238)
san (developer)
2014-07-17 18:16

Problems 1-5 corrected.
Problem 6: meshvectors command added to test MeshVS_VectorPrsBuilder.

TODO:
Problem 6: Commands for deformed mesh and text labels to be added.
Problems 7-9.
(0030620)
git (administrator)
2014-08-07 13:17

Branch CR24961_1 has been updated by anv.

SHA-1: 8810ea6cbca7f7758139ef62f75d7609a0943a14


      from 0d91e26 0024961: MeshVS: revision of DRAW commands meshfromstl - display MeshVS_Mesh object in a way consistent with vdisplay command meshdel - deleted, vremove to be used instead meshshowall - set empty maps of hidden IDs instead of null handles meshhidesel - initialize the maps of hidden IDs to avoid exception meshmat - add optional transparency argument and enable transparency in the viewer if not yet done meshvectors - command for testing VectorPrsBuilder added
       new 8810ea6 MeshVS: DRAW commands improving


Detailed log of new commits:

commit 8810ea6cbca7f7758139ef62f75d7609a0943a14
Author: anv
Date: Thu Aug 7 13:15:08 2014 +0400

    MeshVS: DRAW commands improving

(0030621)
anv (developer)
2014-08-07 13:28

Problem 6: Done.

Problem 7: To test visualization of 3D mesh elements XSDRAWSTLVRML_DataSource3D class and "mesh3delem" DRAW command were added.

Problem 8: Problem fixed. "meshselmode" and "meshdispmode" commands were deleted as not needed (copying functionality of standard "vselmode" and "vsetdispmode" commands).

Problem 9: Test cases were added.

Please add attached file to the occt_test_data as it's needed for some tests and can be useful in the future.
(0030678)
git (administrator)
2014-08-12 13:53

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: a269fa9b38cc41df951e71a1d302af9cb5cf55d7
(0030718)
git (administrator)
2014-08-13 15:02

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: ebb47d9fd79bec1cdbd9b58ee2ee8e2aa6d41aa6
(0030721)
kgv (developer)
2014-08-13 15:43

Dear Artem,

+  Handle(AIS_InteractiveContext) aContext = ViewerTest::GetAISContext();
+  if (aContext.IsNull())
+  {
+    di << "No active view. Please call 'vinit' first" << "\n";
+    return 1;
+  }

here and in other changed places - please use std::cout instead of di before "return 1" statements (which raises tcl exception).
(0030723)
git (administrator)
2014-08-13 16:30

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: dee20d4dd7c2fb77ee6a2413ec0019874596b465
(0030730)
git (administrator)
2014-08-13 20:13

Branch CR24961_1 has been updated forcibly by san.

SHA-1: a5b90a3aeb5b12b1e379bc2a4a2ef807333ea95b
(0030732)
git (administrator)
2014-08-13 20:18

Branch CR24961_1 has been updated forcibly by san.

SHA-1: 4c5559ef8c041e6930a3db6c11f0d7ea410c844c
(0030733)
san (developer)
2014-08-13 20:20

Branch CR24961_1 reviewed without remarks, ready for testing
(0030783)
apv (tester)
2014-08-15 14:26

Dear san,

Could you please rebase CR24961_1 due conflicts in src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx
(0030793)
git (administrator)
2014-08-15 17:22

Branch CR24961_1 has been updated forcibly by san.

SHA-1: a6ac89cb65ff18026eadb0a6fa38f4ac041232bf
(0030794)
san (developer)
2014-08-15 17:23

Branch CR24961_1 rebased on the current master.
(0030795)
san (developer)
2014-08-15 17:25

Branch CR24961_1 ready for testing
(0030844)
apv (tester)
2014-08-18 16:36

Dear BugMaster,

Branch CR24961_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a6ac89cb65ff18026eadb0a6fa38f4ac041232bf

Number of compiler warnings:
occt component:
   Linux: 16 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

There is new additional compilation warning:
on Linux platform:
XSDRAWSTLVRML_DataSource3D.cxx:278, GNU C Compiler 4 (gcc), Priority: Normal
  suggest explicit braces to avoid ambiguous ‘else’

Regressions/Differences:
http://occt-tests/CR24961-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/summary.html [^]
3rdparty export A1
perf multi_mesh_selection
     multi_mesh_shading
     multi_mesh_shrink
     multi_mesh_wireframe
     single_mesh_selection
     single_mesh_shading
     single_mesh_shrink
     single_mesh_wireframe
bugs vis bug6652
         bug10702
         bug10781
         bug11095
         bug21091_3
v3d voxel
    glsl
    raytrace
    materials
(0030856)
san (developer)
2014-08-18 18:38
edited on: 2014-08-18 18:40

Dear anv,

Can you please update the failed test cases as follows:

  • Replace meshdispmode command and probably other commands removed from XSDRAWSTLVRML with their analogs from ViewerTest (vsetdispmode, etc.)

  • Add vinit before meshfromstl

  • Correct the mistake in tests/v3d/end script


And please correct the warning in XSDRAWSTLVRML_DataSource3D.cxx.

(0030938)
git (administrator)
2014-08-20 15:28

Branch CR24961_1 has been updated by anv.

SHA-1: a4e2c8736307cea9ed7a3f9ce67feb2571908f2f


      from a6ac89c MeshVS: DRAW commands improving
       new a4e2c87 Updating test cases due to previous changes


Detailed log of new commits:

commit a4e2c8736307cea9ed7a3f9ce67feb2571908f2f
Author: anv
Date: Wed Aug 20 15:27:40 2014 +0400

    Updating test cases due to previous changes

(0030939)
git (administrator)
2014-08-20 15:29

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: 235a8fa540f18406a67f8b9fb135a39aad8c3d07
(0030940)
anv (developer)
2014-08-20 15:34

Test cases were updated, warning eliminated and small bug in MeshVS_ElementalColorPrsBuilder was fixed.
Changes are located in branch CR24961_1.
Please check.
(0031025)
san (developer)
2014-08-22 11:54

Please, revise carefully the test cases where vselmode command has been added.
This command has slightly different semantics than former meshselmode did:

  • vselmode m -1 1 will not disable local selection, instead it will open a local context and try to activate selection mode -1 that is not supported by MeshVS_Mesh -> this is an error!

  • vselmode m 0 1 should be used to disable local selection and activate global selection

  • vselmode m 0 0 should be used to disable also global selection, this seems to correspond to former "meshselmode m -1" command - this is not supported currently, thus please correct vselmode command and add this feature.


(0031027)
git (administrator)
2014-08-22 13:40

Branch CR24961_1 has been updated by anv.

SHA-1: b372a597baf410b8f4a5bdd51f4078bacf03a0f8


Detailed log of new commits:

Author: anv
Date: Fri Aug 22 13:40:32 2014 +0400

    vselmode fix

(0031028)
anv (developer)
2014-08-22 13:43

vselmode command and related tests were updated.
Please check.
(0031131)
git (administrator)
2014-08-28 09:25

Branch CR24961_1 has been updated forcibly by san.

SHA-1: a53eeb3f2320fecdf7b1bd5cd99b1cf93da48cdc
(0031133)
san (developer)
2014-08-28 09:26

Branch CR24961_1 reviewed without remarks, ready for testing.
(0031161)
mkv (tester)
2014-08-28 16:47

Dear BugMaster,
Branch CR24961_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a53eeb3f2320fecdf7b1bd5cd99b1cf93da48cdc

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 195 (195 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24961-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/summary.html [^]
3rdparty export(001) A1
bugs vis(004) bug10702, bug10781, bug24389

Testing cases:
http://occt-tests/CR24961-1-master-occt/Debian60-64/v3d/mesh/ [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/v3d/mesh/ [^]
v3d mesh(016) - OK

Testing on Linux:
occt component :
Total MEMORY difference: 353112232 / 353104144
Total CPU difference: 46035.940000000024 / 44479.43000000008
products component :
Total MEMORY difference: 110263128 / 110189000
Total CPU difference: 18630.369999999984 / 17592.629999999976

Testing on Windows:
occt component :
Total MEMORY difference: 240639812 / 240910488
Total CPU difference: 33029.34375 / 40198.828125
products component :
Total MEMORY difference: 66383116 / 66474236
Total CPU difference: 11001.578125 / 15955.59375

There are differences in images found by testdiff.
http://occt-tests/CR24961-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0031215)
git (administrator)
2014-09-01 13:57

Branch CR24961_1 has been updated by anv.

SHA-1: 03ee5e70ecd2f00cd4933a1096c3fa12bb118130


Detailed log of new commits:

Author: anv
Date: Mon Sep 1 13:56:44 2014 +0400

    tests update due to changes in OCCT

(0031216)
anv (developer)
2014-09-01 14:21

Some tests were updated, regressions eliminated.
Differences in images found by testdiff ( in bugs vis bug10702, perf single_mesh_shading, perf single_mesh_wireframe, perf single_mesh_selection, perf multi_mesh_shading, perf multi_mesh_wireframe, perf multi_mesh_selection ) is a normal behavior due to last changes in OCCT. Please update corresponding images.
(0031331)
abv (manager)
2014-09-04 08:47

Sorry, please explain what kind of changes in OCCT (independent of this fix??) led to loss of selection highlight in test bugs vis bug137* and others?
(0031368)
anv (developer)
2014-09-04 15:26

Yes, sorry, I've meant changes implemented by this fix. And this was regarding tests listed parenthetically. As for test bugs vis bug137* I'm not sure why there is selection on this images, because I've tried to run this tests on the current (for this branch) master and there is no selection too.
(0031433)
san (developer)
2014-09-05 20:57

dear bugmaster,

Can you please double-check that test cases bugs vis bug137* are really regressions with respect to Git master? See 0024961:0031368.
We really need this issue to be in master ASAP, so let's move on.
(0031490)
mkv (tester)
2014-09-08 17:21
edited on: 2014-09-08 17:37

Dear bugmaster,
bugs/vis(004)/bug137_9, bug137_10, bug137_11 are regressions on CR24961_1.

On master these cases are OK. See links below.
http://occt-tests/IR-2014-09-04-IR-2014-09-04-occt/Debian60-64/bugs/vis/bug137_9.html [^]
http://occt-tests/IR-2014-09-04-IR-2014-09-04-occt/Debian60-64/bugs/vis/bug137_10.html [^]
http://occt-tests/IR-2014-09-04-IR-2014-09-04-occt/Debian60-64/bugs/vis/bug137_11.html [^]

(0031508)
git (administrator)
2014-09-09 13:19

Branch CR24961_1 has been updated by anv.

SHA-1: 05d8204053e8816cdfbf6e7a9834dde33558cb9d


Detailed log of new commits:

Author: anv
Date: Tue Sep 9 13:19:10 2014 +0400

    tests fixed

(0031509)
anv (developer)
2014-09-09 13:27
edited on: 2014-09-09 13:29

Mentioned tests were fixed, please check. Resulting images still differ from ones on the current master, but this is correct behavior due to the comments inside the tests (so this tests work incorrectly on the master).

(0031620)
abv (manager)
2014-09-11 17:38

Please re-test
(0031635)
git (administrator)
2014-09-11 19:53

Branch CR24961_1 has been updated forcibly by mkv.

SHA-1: b04bafbbe9723b7d5ec03ab4cbc030f2abd1714a
(0031728)
mkv (tester)
2014-09-15 18:50
edited on: 2014-09-15 18:50

Dear BugMaster,
Branch CR24961_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: b04bafbbe9723b7d5ec03ab4cbc030f2abd1714a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24961-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/summary.html [^]
bugs mesh(016) bug24968_1, bug24968_2
v3d mesh(016) A1, A2, B2, B3

Testing cases:
http://occt-tests/CR24961-1-master-occt/Debian60-64/v3d/mesh/ [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/v3d/mesh/ [^]
v3d mesh(016)

Testing on Linux:
occt component :
Total MEMORY difference: 355285236 / 355188820
Total CPU difference: 46798.45000000012 / 45791.1700000001
products component :
Total MEMORY difference: 109665272 / 109581496
Total CPU difference: 18887.889999999974 / 18114.36999999996

Testing on Windows:
occt component :
Total MEMORY difference: 241282156 / 241582552
Total CPU difference: 42311.265625 / 36294.828125
products component :
Total MEMORY difference: 66443380 / 66486588
Total CPU difference: 11985.890625 / 12374.765625

There are following differences in images found by testdiff:
http://occt-tests/CR24961-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE bugs vis bug10: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_11: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug10781: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_9: bug137_9_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_10: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE bugs moddata_2 bug22572: bug22572_Driver1_Viewer1_View1.png differs
....

(0031729)
mkv (tester)
2014-09-15 19:19

Dear BugMaster,
Branch CR24961_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Debug mode.
SHA-1: b04bafbbe9723b7d5ec03ab4cbc030f2abd1714a

Regressions/Differences:
http://occt-tests/CR24961-1-master-occt-deb/Debian60-64/summary.html [^]
http://occt-tests/CR24961-1-master-occt-deb/Windows-32-VC10/summary.html [^]
v3d mesh(016) A1, A2, B2, B3

Testing cases:
http://occt-tests/CR24961-1-master-occt-deb/Debian60-64/v3d/mesh/ [^]
http://occt-tests/CR24961-1-master-occt-deb/Windows-32-VC10/v3d/mesh/ [^]
v3d mesh(016)

Testing on Linux:
occt component :
Total MEMORY difference: 425879424 / 425794920
Total CPU difference: 153482.0999999988 / 156885.24999999927
products component :
Total MEMORY difference: 127719568 / 127757472
Total CPU difference: 39196.230000000025 / 38671.12999999995

Testing on Windows:
occt component :
Total MEMORY difference: 333840064 / 333767060
Total CPU difference: 125757.734375 / 105149.5
products component :
Total MEMORY difference: 89168676 / 88954420
Total CPU difference: 23866.890625 / 27886.515625

There are following differences in images found by testdiff:
http://occt-tests/CR24961-1-master-occt-deb/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24961-1-master-occt-deb/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE bugs vis bug10: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_11: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug10781: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_9: bug137_9_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_10: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE bugs moddata_2 bug22572: bug22572_Driver1_Viewer1_View1.png differs
....
(0031730)
git (administrator)
2014-09-15 19:31

Branch CR24961_1 has been updated by mkv.

SHA-1: dd16f9f5ada9c963873c93d6da3aa1af15dddc12


Detailed log of new commits:

Author: mkv
Date: Mon Sep 15 19:31:12 2014 +0400

    Small correction of test cases for issue CR24961

(0032005)
git (administrator)
2014-09-23 15:03

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: 7bbcaaed96a5bb330b435745475688e0906d5a0a
(0032007)
anv (developer)
2014-09-23 15:15

Regressions in v3d mesh were eliminated.

As for bugs vis bug10781, please update image, the new one is correct (mesh color was changed from white to yellow).

As for bugs vis bug10, bugs vis bug137_1, why is it using images from other tests? ( e.g. bug10781_Driver1_Viewer1_View1.png, bug137_10_Driver1_Viewer1_View1.png )
Here http://occt-tests/CR24961-1-master-occt-deb/Windows-32-VC10/summary.html [^] all results are correct (images too).

As for bugs vis bug137_9, bug137_10, bug137_11, new images are correct, please update (Face selection didn't work in old tests).

As for bugs moddata_2 bug22572, test was updated and now doesn't have any images, as it should be, cause it compares console output and doesn't need any View tracing.

Please test.
(0032023)
git (administrator)
2014-09-23 16:32

Branch CR24961_1 has been updated forcibly by anv.

SHA-1: 6e2557e9cf5916f48b529fae452b2cdbb92fc284
(0032037)
san (developer)
2014-09-23 18:06

Branch CR24961_1 reviewed without remarks, ready for testing.
(0032163)
mkv (tester)
2014-09-25 17:15

Dear BugMaster,
Branch CR24961_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6e2557e9cf5916f48b529fae452b2cdbb92fc284

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 193 (193 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24961-1-master-occt/Debian60-64/bugs/vis/bug10702.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/bugs/vis/bug10702.html [^]
bugs vis(004) bug10702: IMPROVEMENT

Testing cases:
http://occt-tests/CR24961-1-master-occt/Debian60-64/v3d/mesh/ [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/v3d/mesh/ [^]
v3d mesh(016)

Testing on Linux:
occt component :
Total MEMORY difference: 356033152 / 355433580
Total CPU difference: 47153.440000000046 / 44818.460000000094
products component :
Total MEMORY difference: 109665272 / 109581496
Total CPU difference: 18887.889999999974 / 18114.36999999996

Testing on Windows:
occt component :
Total MEMORY difference: 244645148 / 241971632
Total CPU difference: 44314.25 / 34116.90625
products component :
Total MEMORY difference: 66597856 / 66591984
Total CPU difference: 14004.25 / 11913.0625

There are following differences in images found by testdiff.
http://occt-tests/CR24961-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24961-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE bugs vis bug10: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_11: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug10781: bug10781_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_1: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_9: bug137_9_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug137_10: bug137_10_Driver1_Viewer1_View1.png differs
IMAGE perf multi_mesh_shading A6: A6.png differs
IMAGE perf multi_mesh_shading A5: A5.png differs
IMAGE perf multi_mesh_shading A4: A4.png differs
IMAGE perf multi_mesh_shading A1: A1.png differs
IMAGE perf multi_mesh_shading A3: A3.png differs
IMAGE perf multi_mesh_shading A2: A2.png differs
IMAGE perf multi_mesh_shading A8: A8.png differs
IMAGE perf multi_mesh_shading A7: A7.png differs
IMAGE perf single_mesh_wireframe A6: A6.png differs
IMAGE perf single_mesh_wireframe A4: A4.png differs
IMAGE perf single_mesh_wireframe A1: A1.png differs
IMAGE perf single_mesh_wireframe A3: A3.png differs
IMAGE perf single_mesh_wireframe A2: A2.png differs
IMAGE perf single_mesh_wireframe A8: A8.png differs
IMAGE perf single_mesh_wireframe A7: A7.png differs
IMAGE perf single_mesh_shading A6: A6.png differs
IMAGE perf single_mesh_shading A4: A4.png differs
IMAGE perf single_mesh_shading A1: A1.png differs
IMAGE perf single_mesh_shading A3: A3.png differs
IMAGE perf single_mesh_shading A2: A2.png differs
IMAGE perf single_mesh_shading A8: A8.png differs
IMAGE perf single_mesh_shading A7: A7.png differs
IMAGE perf multi_mesh_selection B5: B5.png differs
IMAGE perf multi_mesh_selection B2: B2.png differs
IMAGE perf multi_mesh_selection A6: A6.png differs
IMAGE perf multi_mesh_selection B1: B1.png differs
IMAGE perf multi_mesh_selection B4: B4.png differs
IMAGE perf multi_mesh_selection A5: A5.png differs
IMAGE perf multi_mesh_selection B6: B6.png differs
IMAGE perf multi_mesh_selection A4: A4.png differs
IMAGE perf multi_mesh_selection A1: A1.png differs
IMAGE perf multi_mesh_selection A2: A2.png differs
IMAGE perf multi_mesh_selection A8: A8.png differs
IMAGE perf multi_mesh_selection A7: A7.png differs
IMAGE perf multi_mesh_selection B7: B7.png differs
IMAGE perf multi_mesh_wireframe A6: A6.png differs
IMAGE perf multi_mesh_wireframe A5: A5.png differs
IMAGE perf multi_mesh_wireframe A4: A4.png differs
IMAGE perf multi_mesh_wireframe A1: A1.png differs
IMAGE perf multi_mesh_wireframe A3: A3.png differs
IMAGE perf multi_mesh_wireframe A2: A2.png differs
IMAGE perf multi_mesh_wireframe A8: A8.png differs
IMAGE perf multi_mesh_wireframe A7: A7.png differs
IMAGE perf single_mesh_selection B5: B5.png differs
IMAGE perf single_mesh_selection B2: B2.png differs
IMAGE perf single_mesh_selection A6: A6.png differs
IMAGE perf single_mesh_selection B1: B1.png differs
IMAGE perf single_mesh_selection B4: B4.png differs
IMAGE perf single_mesh_selection A5: A5.png differs
IMAGE perf single_mesh_selection B6: B6.png differs
IMAGE perf single_mesh_selection A4: A4.png differs
IMAGE perf single_mesh_selection A1: A1.png differs
IMAGE perf single_mesh_selection A2: A2.png differs
IMAGE perf single_mesh_selection A8: A8.png differs
IMAGE perf single_mesh_selection A7: A7.png differs
IMAGE perf single_mesh_selection B7: B7.png differs
(0032164)
git (administrator)
2014-09-25 17:15

Branch CR24961_1 has been updated by mkv.

SHA-1: ff8b344120d8ca494b6667191086e539286893fb


Detailed log of new commits:

Author: mkv
Date: Thu Sep 25 17:12:24 2014 +0400

    Correction of test cases for issue CR24961

(0032165)
mkv (tester)
2014-09-25 17:16

Dear BugMaster,
Test cases bugs/vis(004)/bug10702 is corrected and now it is OK.
(0032407)
git (administrator)
2014-09-30 11:35

Branch CR24961_1 has been deleted by inv.

SHA-1: ff8b344120d8ca494b6667191086e539286893fb

- Related Changesets
occt: master 709e97a0
Timestamp: 2014-09-26 12:26:12
Author: anv
Committer: bugmaster
Details ] Diff ]
0024961: MeshVS: revision of DRAW commands

meshfromstl - display MeshVS_Mesh object in a way consistent with vdisplay command
meshdel - deleted, vremove to be used instead
meshshowall - set empty maps of hidden IDs instead of null handles
meshhidesel - initialize the maps of hidden IDs to avoid exception
meshmat - add optional transparency argument and enable transparency in the viewer if not yet done
meshvectors - command for testing VectorPrsBuilder added

MeshVS: DRAW commands improving
Updating test cases due to previous changes
Small bug in MeshVS_ElementalColorPrsBuilder fixed
vselmode fix
Small correction of test cases for issue CR24961
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cdl Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
add - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DataSource3D.cdl Diff ] File ]
add - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DataSource3D.cxx Diff ] File ]
mod - tests/3rdparty/export/A1 Diff ] File ]
mod - tests/bugs/moddata_2/bug22572 Diff ] File ]
mod - tests/bugs/vis/bug10702 Diff ] File ]
mod - tests/bugs/vis/bug10781 Diff ] File ]
mod - tests/bugs/vis/bug11095 Diff ] File ]
mod - tests/bugs/vis/bug137_10 Diff ] File ]
mod - tests/bugs/vis/bug137_11 Diff ] File ]
mod - tests/bugs/vis/bug137_9 Diff ] File ]
mod - tests/bugs/vis/bug21091_3 Diff ] File ]
mod - tests/bugs/vis/bug24389 Diff ] File ]
mod - tests/bugs/vis/bug6652 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A1 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A2 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A3 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A4 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A5 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A6 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A7 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A8 Diff ] File ]
mod - tests/perf/multi_mesh_selection/A9 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B1 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B2 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B3 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B4 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B5 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B6 Diff ] File ]
mod - tests/perf/multi_mesh_selection/B7 Diff ] File ]
mod - tests/perf/multi_mesh_shading/begin Diff ] File ]
mod - tests/perf/multi_mesh_shrink/begin Diff ] File ]
mod - tests/perf/multi_mesh_wireframe/begin Diff ] File ]
mod - tests/perf/single_mesh_selection/A1 Diff ] File ]
mod - tests/perf/single_mesh_selection/A2 Diff ] File ]
mod - tests/perf/single_mesh_selection/A3 Diff ] File ]
mod - tests/perf/single_mesh_selection/A4 Diff ] File ]
mod - tests/perf/single_mesh_selection/A5 Diff ] File ]
mod - tests/perf/single_mesh_selection/A6 Diff ] File ]
mod - tests/perf/single_mesh_selection/A7 Diff ] File ]
mod - tests/perf/single_mesh_selection/A8 Diff ] File ]
mod - tests/perf/single_mesh_selection/A9 Diff ] File ]
mod - tests/perf/single_mesh_selection/B1 Diff ] File ]
mod - tests/perf/single_mesh_selection/B2 Diff ] File ]
mod - tests/perf/single_mesh_selection/B3 Diff ] File ]
mod - tests/perf/single_mesh_selection/B4 Diff ] File ]
mod - tests/perf/single_mesh_selection/B5 Diff ] File ]
mod - tests/perf/single_mesh_selection/B6 Diff ] File ]
mod - tests/perf/single_mesh_selection/B7 Diff ] File ]
mod - tests/perf/single_mesh_shading/begin Diff ] File ]
mod - tests/perf/single_mesh_shrink/begin Diff ] File ]
mod - tests/perf/single_mesh_wireframe/begin Diff ] File ]
mod - tests/v3d/end Diff ] File ]
add - tests/v3d/mesh/A1 Diff ] File ]
add - tests/v3d/mesh/A2 Diff ] File ]
add - tests/v3d/mesh/A3 Diff ] File ]
add - tests/v3d/mesh/A4 Diff ] File ]
add - tests/v3d/mesh/A5 Diff ] File ]
add - tests/v3d/mesh/A6 Diff ] File ]
add - tests/v3d/mesh/A7 Diff ] File ]
add - tests/v3d/mesh/A8 Diff ] File ]
add - tests/v3d/mesh/B1 Diff ] File ]
add - tests/v3d/mesh/B2 Diff ] File ]
add - tests/v3d/mesh/B3 Diff ] File ]
add - tests/v3d/mesh/B4 Diff ] File ]
add - tests/v3d/mesh/B5 Diff ] File ]
add - tests/v3d/mesh/B6 Diff ] File ]
add - tests/v3d/mesh/B7 Diff ] File ]
add - tests/v3d/mesh/B8 Diff ] File ]
add - tests/v3d/mesh/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-26 19:34 san New Issue
2014-05-26 19:34 san Assigned To => mkv
2014-05-26 19:34 san Assigned To mkv => san
2014-05-26 19:34 san Status new => assigned
2014-05-26 19:43 san Description Updated View Revisions
2014-05-26 21:31 san Relationship added related to 0024926
2014-07-17 17:43 san Assigned To san => anv
2014-07-17 17:49 git Note Added: 0030236
2014-07-17 18:14 san Description Updated View Revisions
2014-07-17 18:16 san Note Added: 0030238
2014-08-07 13:17 git Note Added: 0030620
2014-08-07 13:28 anv Note Added: 0030621
2014-08-07 13:28 anv Status assigned => resolved
2014-08-07 13:28 anv File Added: m.stl
2014-08-12 13:15 san Assigned To anv => san
2014-08-12 13:53 git Note Added: 0030678
2014-08-13 15:02 git Note Added: 0030718
2014-08-13 15:43 kgv Note Added: 0030721
2014-08-13 16:30 git Note Added: 0030723
2014-08-13 20:13 git Note Added: 0030730
2014-08-13 20:18 git Note Added: 0030732
2014-08-13 20:20 san Note Added: 0030733
2014-08-13 20:20 san Assigned To san => bugmaster
2014-08-13 20:20 san Status resolved => reviewed
2014-08-13 20:28 san Additional Information Updated View Revisions
2014-08-15 12:07 mkv Assigned To bugmaster => apv
2014-08-15 14:26 apv Note Added: 0030783
2014-08-15 14:27 apv Assigned To apv => san
2014-08-15 14:27 apv Status reviewed => assigned
2014-08-15 17:22 git Note Added: 0030793
2014-08-15 17:23 san Note Added: 0030794
2014-08-15 17:23 san Status assigned => resolved
2014-08-15 17:24 san Additional Information Updated View Revisions
2014-08-15 17:25 san Note Added: 0030795
2014-08-15 17:25 san Assigned To san => apv
2014-08-15 17:25 san Status resolved => reviewed
2014-08-18 16:36 apv Note Added: 0030844
2014-08-18 16:37 apv Assigned To apv => san
2014-08-18 16:37 apv Status reviewed => assigned
2014-08-18 18:33 san Assigned To san => anv
2014-08-18 18:38 san Note Added: 0030856
2014-08-18 18:40 san Note Edited: 0030856 View Revisions
2014-08-18 18:40 san Note Edited: 0030856 View Revisions
2014-08-20 15:28 git Note Added: 0030938
2014-08-20 15:29 git Note Added: 0030939
2014-08-20 15:34 anv Note Added: 0030940
2014-08-20 15:34 anv Status assigned => resolved
2014-08-22 11:54 san Note Added: 0031025
2014-08-22 11:54 san Status resolved => assigned
2014-08-22 13:40 git Note Added: 0031027
2014-08-22 13:43 anv Note Added: 0031028
2014-08-28 09:25 git Note Added: 0031131
2014-08-28 09:25 san Status assigned => resolved
2014-08-28 09:26 san Note Added: 0031133
2014-08-28 09:26 san Assigned To anv => bugmaster
2014-08-28 09:26 san Status resolved => reviewed
2014-08-28 11:15 mkv Assigned To bugmaster => mkv
2014-08-28 16:47 mkv Note Added: 0031161
2014-08-28 16:48 mkv Test case number => v3d mesh(016)
2014-08-28 16:48 mkv Assigned To mkv => anv
2014-08-28 16:48 mkv Status reviewed => assigned
2014-09-01 13:57 git Note Added: 0031215
2014-09-01 14:21 anv Note Added: 0031216
2014-09-01 14:21 anv Status assigned => resolved
2014-09-04 08:47 abv Note Added: 0031331
2014-09-04 15:26 anv Note Added: 0031368
2014-09-05 20:57 san Note Added: 0031433
2014-09-05 20:57 san Assigned To anv => bugmaster
2014-09-05 20:57 san Status resolved => feedback
2014-09-08 16:36 bugmaster Assigned To bugmaster => mkv
2014-09-08 17:21 mkv Note Added: 0031490
2014-09-08 17:21 mkv Assigned To mkv => san
2014-09-08 17:35 mkv Note Edited: 0031490 View Revisions
2014-09-08 17:36 mkv Note Edited: 0031490 View Revisions
2014-09-08 17:37 mkv Note Edited: 0031490 View Revisions
2014-09-09 13:19 git Note Added: 0031508
2014-09-09 13:27 anv Note Added: 0031509
2014-09-09 13:28 anv Note Edited: 0031509 View Revisions
2014-09-09 13:29 anv Note Edited: 0031509 View Revisions
2014-09-11 17:38 abv Note Added: 0031620
2014-09-11 17:38 abv Assigned To san => bugmaster
2014-09-11 17:38 abv Status feedback => reviewed
2014-09-11 17:38 abv Target Version => 6.8.0
2014-09-11 19:53 git Note Added: 0031635
2014-09-11 20:13 mkv Assigned To bugmaster => mkv
2014-09-15 18:50 mkv Note Added: 0031728
2014-09-15 18:50 mkv Note Edited: 0031728 View Revisions
2014-09-15 19:19 mkv Note Added: 0031729
2014-09-15 19:31 git Note Added: 0031730
2014-09-15 19:32 mkv Assigned To mkv => anv
2014-09-15 19:32 mkv Status reviewed => assigned
2014-09-23 15:03 git Note Added: 0032005
2014-09-23 15:15 anv Note Added: 0032007
2014-09-23 15:16 anv Status assigned => resolved
2014-09-23 16:32 git Note Added: 0032023
2014-09-23 18:06 san Note Added: 0032037
2014-09-23 18:06 san Assigned To anv => bugmaster
2014-09-23 18:06 san Status resolved => reviewed
2014-09-23 20:56 mkv Assigned To bugmaster => mkv
2014-09-25 17:15 mkv Note Added: 0032163
2014-09-25 17:15 git Note Added: 0032164
2014-09-25 17:16 mkv Note Added: 0032165
2014-09-25 17:16 mkv Assigned To mkv => bugmaster
2014-09-25 17:16 mkv Status reviewed => tested
2014-09-25 17:37 san Additional Information Updated View Revisions
2014-09-25 17:38 san Additional Information Updated View Revisions
2014-09-29 15:31 bugmaster Changeset attached => occt master 709e97a0
2014-09-29 15:31 bugmaster Status tested => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-30 11:35 git Note Added: 0032407
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed
2016-09-27 11:57 kgv Relationship added related to 0027905


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker